Subject: Re: MD5 SG fix

From: Stephen Hemminger <[email-masked]>
Date: Tue, 1 Jul 2008 16:10:53 -0700

On Tue, 1 Jul 2008 15:52:56 -0700
"Adam Langley" <[email-masked]> wrote:

> On Tue, Jul 1, 2008 at 3:49 PM, Stephen Hemminger <[email-masked]> wrote:
> > Just pass the skb in and not tcplen, frags, ...
> > avoid all this nonsense.  tcplen == skb->len, and you have the correct size info.
> 
> But there are places where that function is called that we don't have
> an SKB to pass in (tcp_v6_send_reset and tcp_v6_send_ack, likewise in
> v4). I could duplicate the whole function, once for SKBs and once for
> those users, but that's a bunch of duplicated code. I'll defer to your
> experience on what the kernel's preferred practice is here.
> 

Break the calc function into:
   setup header
   setup data
   calculate

Then make two handles, one for data block, other for skb

If you want, let's take this off list and I'll bounce you back what I mean.